Bug 580993 - segmentation fault during garbage collection
segmentation fault during garbage collection
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-09 13:54 EDT by Matthew Kent
Modified: 2010-05-11 09:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-11 09:36:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backport fix 1/2 (8.40 KB, patch)
2010-04-09 13:55 EDT, Matthew Kent
no flags Details | Diff
backport fix 2/2 (743 bytes, patch)
2010-04-09 13:55 EDT, Matthew Kent
no flags Details | Diff

  None (edit)
Description Matthew Kent 2010-04-09 13:54:16 EDT
The versions of ruby in F11 through rawhide suffer from a bug that triggers a segmentation fault with a simple example. 

See http://redmine.ruby-lang.org/issues/show/3118 for details.

I've requested a backport but don't have an eta.
Comment 1 Matthew Kent 2010-04-09 13:55:21 EDT
Created attachment 405600 [details]
backport fix 1/2
Comment 2 Matthew Kent 2010-04-09 13:55:42 EDT
Created attachment 405602 [details]
backport fix 2/2
Comment 3 Mamoru TASAKA 2010-04-26 14:54:25 EDT
I will take care of this.
Comment 4 Fedora Update System 2010-04-26 15:52:11 EDT
ruby-1.8.6.399-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-1.fc13
Comment 5 Fedora Update System 2010-04-26 15:53:07 EDT
ruby-1.8.6.399-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-1.fc12
Comment 6 Fedora Update System 2010-04-27 00:45:59 EDT
ruby-1.8.6.399-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ruby-1.8.6.399-1.fc11
Comment 7 Mamoru TASAKA 2010-04-28 05:01:55 EDT
Matthew:

While I cannot test this as I don't have open4 gem, I anyway
applied your patch. Please test ruby currently in -testing
if this fixes the issue you see.
Comment 8 Matthew Kent 2010-05-04 02:51:18 EDT
(In reply to comment #7)
> Matthew:
> 
> While I cannot test this as I don't have open4 gem, I anyway
> applied your patch. Please test ruby currently in -testing
> if this fixes the issue you see.    

Apologies for the slow reply. I've tested the new build for the issue and it appears resolved.
Comment 9 Fedora Update System 2010-05-05 03:21:33 EDT
ruby-1.8.6.399-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-05-05 23:40:13 EDT
ruby-1.8.6.399-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-05-05 23:43:20 EDT
ruby-1.8.6.399-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Mamoru TASAKA 2010-05-11 09:36:20 EDT
Closing.

Note You need to log in before you can comment on or make changes to this bug.